
QGIS Application - Bug report #17317

mProxyModel is nullptr when QgsBrowserDockWidget::refreshModel called from WMS or XYZ 

provider dialog

2017-10-22 03:00 PM - Hanif Rifai

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25215

Description

Add/Edit/Delete WMS or XYZ provider produce this stack trace because mProxyModel is nullptr when

QgsBrowserDockWidget::refreshModel called

User Feedback

Report Details

Crash ID: 42f0a2c31f671fe9b28a6e4946213c50d582b3d4

Stack Trace

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(qgis_gui) QgsColorRampButton::tr (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(wmsprovider) OGREnvelope::IsInit (unknown file):(unknown line)

(wmsprovider) OGREnvelope::IsInit (unknown file):(unknown line)

(wmsprovider) OGREnvelope::IsInit (unknown file):(unknown line)

(wmsprovider) OGREnvelope::IsInit (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)
(Qt5Widgets) QMenu::actionGeometry (unknown file):(unknown line)

(Qt5Widgets) QMenu::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QMenu::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) CallWindowProcW (unknown file):(unknown line)

(USER32) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Widgets) QDialog::exec (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QToolButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsAuthManager::getCertIdentities (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) CallWindowProcW (unknown file):(unknown line)

(USER32) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

(qgis_app) QgisApp::unregisterMapLayerPropertiesFactory (unknown file):(unknown line)

(KERNEL32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code branch: Release 2.99

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2
Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision 71eeda7b - 2017-11-03 08:24 AM - Matthias Kuhn 

Fix crash with hidden dock widget

Fixes #17357

Fixes #17279

Fixes #17317

History

#1 - 2017-10-23 08:53 AM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please submit your patch as a pull request on Github. Thanks!

#2 - 2017-11-03 08:24 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|71eeda7b454ee1b83a9c63d96b2332ae5dde0ac4.

Files

qgsbrowserdockwidget.cpp 17.7 KB 2017-10-22 Hanif Rifai
